---
sourceDocument: Xanadu API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/xanadu/api-reference

 Release :

    - xanadu

ft:locale :

    - en-US

ft:publication_title :

    - Xanadu API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# RSS feed generator

# RSS feed generator {#ariaid-title1}

* Release version: Xanadu
* 
* Updated August 1, 2024
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 1 minute to read

ServiceNow supports the dynamic
generation of RSS feeds.

Much like our Web Services implementation, the retrieval of an RSS feed representation of
information is simply done by specifying an RSS parameter at the end of the URL to a table list.
For example, the following will return a list of all incidents in
RSS 2.0 format.:

## Adding a Query

To associate a query to the list so that a filtered list is returned, use the sysparm_query parameter. For example, the following will return a list of all incidents where the priority field is 1 (Critical):

     https://<instance name>.service-now.com/incident.do?sysparm_query=priority=1&RSS

If you have a multi part query then you would separate the parts with the \^ character. For example to get all priority 1 incidents with a category of software you would:

    https://<instance name>.service-now.com/incident.do?sysparm_query=priority=1^category=software&RSS

If you want to query on a field that is a reference to another file then you need to use javascript to resolve the reference to the other file. For example, the assigned_to field in incident is a reference to a user record. If you wanted to find all the incidents assigned to "ITIL User" then you would do the following:

    https://<instance name>.service-now.com/incident.do?sysparm_query=assigned_to=javascript:GetIDValue('sys_user','ITIL%20User')&RSS

Note:  
You can in most cases simply append "\&RSS" to a URL that you generate in the U.I. or that of your favorite module. The easiest way to get the URL is to simply click the last breadcrumb from the list view. After appending "\&RSS" then you can use this URL in your RSS feed reader
Figure 1. Get Bread URL
* **[Limiting results with a view](https://servicenow-prod.fluidtopics.net/MY38pProrjI1R8YBHjM4EA)**   
  The description element in the returned RSS xml is constructed using the view as specified in the URL, when no view is specified, the default no-name view is used.
* **[Formatting results](https://servicenow-prod.fluidtopics.net/TWX~UZ_lmX~n_FBeUGEikA)**   
  The description element in the returned RSS xml can be formatted by setting the URL parameter sysparm_format=true and specifying the format string in the property glide.rss.description_format.
* **[RSS basic authentication](https://servicenow-prod.fluidtopics.net/YYLtVXiv7RdRmNkGO6W15A)**   
  To enforce basic authentication on each request for an RSS feed, set the property glide.basicauth.required.rss to true.
* **[RSS title override](https://servicenow-prod.fluidtopics.net/oCbf0tyCPecJl7VuOsEpEg)**   
  You may optionally override the automatically generated title of the RSS feed by added the sysparm_title parameter to the request URL.

